EDIT - bug #5286

seemingly duplicate distributions
09/22/2015 04:07 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 3.12

Severity: normal Found in Version:

Description

Hallo,

Neuerdings werden die textlichen Verbreitungsdaten im Portal extrem redundant ausgegeben, in der Art:

LAfrica: Macaronesia (Canary Is. (Canary Is. )); Northeast Tropical Africa (Eritrea (Eritrea ), Ethiopia (Ethiopia )); Northern Africa
(Algeria (Algeria ), Egypt (Egypt ), Libya (Libya ), Morocco , Tunisia (Tunisia )); Southern Africa (KwaZulu-Natal (KwaZulu-Natal ));
West Tropical Africa (Mali (Mali ), Nigeria (Nigeria ), Senegal (Senegal ))”,

siehe : http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/09acd4fb-ab66-4d15-aea2-43f6eb1e7eed

Sowohl bei aggregierten als auch bei direkt eingegebenen Daten.
Lasst sich das auch wieder abstellen?
Beste GriRe,

Norbert

Related issues:
Copied to EDIT - feature request #6452: Deduplicate equal subareas like TDWG ... New

History

#1 - 09/28/2015 04:40 PM - Andreas Kohlbecker
- Status changed from New to Duplicate
- Resolution set to duplicate

- % Done set to 100
this is a duplicate of #4411
The duplication of distribution areas comes from changes that where necessary for Euro+Med. This requirement causes obviously problems for other

portals but is only a temporary situation. In the comment #4411#note-13 a solution to this problem has been suggested by me but | am still waiting for
this suggestion to be reviewed by Andreas Miiller.

#2 - 09/28/2015 08:55 PM - Andreas Miiller

Is it really true that this is a duplicate for #4411. If so the problem must exist for > 13 month. From Norbert | understand it is a new issue. Maybe a
regression from #4411. So the ticket are rather complimentary and not duplicates.

I will try to review them asap but will not have time before end of TDWG.

If discussions take time maybe we should revert the changes for #4411 in the meanwhile as they are a regression for production portals, while E+M is
not yet in production.

#3 - 09/29/2015 11:47 AM - Andreas Kohlbecker
| committed a hot-fix for this bug:

e ec12037 [r26028 syntax typo|* 502871 r26027] #4411 hack to avoid regression reported in #5286

This is currently only in a branch #4411-regression-HFX the production portals have been switched to this branch for now.
https://dev.e-taxonomy.eu/redmine/issues/5286

#4 - 05/02/2016 01:28 PM - Andreas Kohlbecker
- Status changed from Duplicate to Feedback

- Resolution deleted (duplicate)

- % Done changed from 100 to 0

- Subject changed from Regression in distribution display on dataportals to seemingly duplicate distributions

reopening this ticket in favour of splitting the ticket #4411 in two

#5 - 05/02/2016 01:30 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Target version changed from Release 3.12 to Release 4.1

The task of reviewing this ticket encompasses for now only the problems and ideas described in #4411#note-10 to #4411#note-13, please read all of
these and also take the Sub area preference rule into account which is described in #5050.

If you agree with my suggestion in #4411#note-13, please create a new ticket for the according subsequent actions.

#6 - 05/02/2016 01:33 PM - Andreas Kohlbecker

- Target version changed from Release 4.1 to Release 3.12

#7 - 03/01/2017 05:55 PM - Andreas Miiller
- Related to feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas added

#8 - 03/01/2017 05:57 PM - Andreas Miiller
- Related to deleted (feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas)

#9 - 03/01/2017 05:57 PM - Andreas Miiller
- Related to feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas added

#10 - 03/01/2017 06:05 PM - Andreas Miiller

- Description updated

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

For the issue described in #4411#note-13 | opened a new ticket #6452.

| guess this ticket here can be closed then. Correct? Maybe we can even call it a duplicate of #6452.
Please do the action which you think is most appropriate.

#11 - 03/02/2017 09:44 AM - Andreas Kohlbecker
- Copied to feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas added

#12 - 03/02/2017 09:44 AM - Andreas Kohlbecker
- Related to deleted (feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas)

#13 - 03/02/2017 09:45 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed

- Private changed from Yes to No
